Name:           maven-resources-plugin
Version:        3.2.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Maven Resources Plugin
License:        ASL 2.0

URL:            https://maven.apache.org/plugins/maven-resources-plugin
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-filtering) >= 3.2.0
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)

%description
The Resources Plugin handles the copying of project resources
to the output directory.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q


%build
%mvn_build -f


%install
%mvn_install


%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Thu Sep 03 2020 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1621372
- Update to version 3.2.0
- Rebuilt for JDK-11
- Install license file

* Fri Feb 14 2020 umeabot <umeabot> 3.1.0-2.mga8
+ Revision: 1520248
- Mageia 8 Mass Rebuild

* Thu Nov 15 2018 guillomovitch <guillomovitch> 3.1.0-1.mga7
+ Revision: 1330059
- new version 3.1.0

* Wed Sep 19 2018 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1264086
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.0.1-2.mga6
+ Revision: 1101399
- Rebuild maven-* packages

* Mon May 08 2017 neoclust <neoclust> 3.0.1-1.mga6
+ Revision: 1099650
- New version 3.0.1
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.7-4.mga6
+ Revision: 977254
- First rebuild of the java stack
- sync package maven-resources-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.6-8.mga5
+ Revision: 807858
- Update BuildRequires

* Tue Dec 30 2014 daviddavid <daviddavid> 2.6-7.mga5
+ Revision: 807336
- add missing BuildRequires on maven-plugin-plugin
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 25 2013 dmorgan <dmorgan> 2.6-4.mga4
+ Revision: 560654
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.6-2.mga3
+ Revision: 359763
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 2.6-1.mga3
+ Revision: 326349
- New version

* Sat Mar 03 2012 dmorgan <dmorgan> 2.5-2.mga2
+ Revision: 217063
- Rebuild because of missing rpms

* Mon Jan 02 2012 gil <gil> 2.5-1.mga2
+ Revision: 189524
- replaced test-descriptor with generate-test-metadata
- replaced plexus-maven-plugin with plexus-component-metadata
+ dmorgan <dmorgan>
- New version 2.5
- Add several packages to BR/R as stated in pom.xml
- Build with maven 3.
  Add plexus-build-api to Requires

* Thu Apr 28 2011 dmorgan <dmorgan> 2.4.3-3.mga1
+ Revision: 92724
- Rebuild after bootstrapping
- imported package maven-resources-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

*Thu Sep 09 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.4.3-1
- Update to 2.4.3

* Fri May 21 2010 Hui Wang <huwang@redhat.com> - 2.2-6
- delete duplicate maven2-plugin-jar
- delete source1

* Tue May 20 2010 Hui Wang <huwang@redhat.com> - 2.2-5
- Add maven-resources-plugin-demap.xml 
- Set maven test ignore

* Wed May 19 2010 Hui Wang <huwang@redhat.com> - 2.2-4
- Add missing obsoletes/provides

* Wed May 19 2010 Hui Wang <huwang@redhat.com> - 2.2-3
- Add missing BR:maven-shared-reporting-impl

* Mon May 17 2010 Hui Wang <huwang@redhat.com> - 2.2-2
- Fixed install -pm 644 pom.xml

* Thu May 13 2010 Hui Wang <huwang@redhat.com> - 2.2-1
- Initial version of the package
